Bug 1687312 (CVE-2019-3862) - CVE-2019-3862 libssh2: Out-of-bounds memory comparison with specially crafted message channel request
Summary: CVE-2019-3862 libssh2: Out-of-bounds memory comparison with specially crafted...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-3862
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1688494 1688495 1688496 1690247 1690248 1690408 1696058 1697698 1714210
Blocks: 1687317
TreeView+ depends on / blocked
 
Reported: 2019-03-11 09:00 UTC by Andrej Nemec
Modified: 2021-02-16 22:16 UTC (History)
17 users (show)

Fixed In Version: libssh2 1.8.1
Doc Type: If docs needed, set a value
Doc Text:
An out of bounds read flaw was discovered in libssh2 in the way SSH_MSG_CHANNEL_REQUEST packets with an exit status message and no payload are parsed. A remote attacker who compromises a SSH server may be able to cause a denial of service or read data in the client memory.
Clone Of:
Environment:
Last Closed: 2019-07-29 19:18:31 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1884 0 None None None 2019-07-29 15:13:44 UTC

Description Andrej Nemec 2019-03-11 09:00:00 UTC
A server could send a specially crafted SSH_MSG_CHANNEL_REQUEST packet with an
exit status message and no payload. This would result in an out of bounds
memory comparison.

Comment 2 Andrej Nemec 2019-03-12 09:15:54 UTC
Acknowledgments:

Name: the libssh2 project
Upstream: Chris Coulson (Canonical Ltd.)

Comment 8 Dhananjay Arunesh 2019-03-19 06:39:04 UTC
External References:

https://www.libssh2.org/CVE-2019-3862.html

Comment 9 Dhananjay Arunesh 2019-03-19 06:47:49 UTC
Created libssh tracking bugs for this issue:

Affects: fedora-all [bug 1690246]


Created mingw-libssh2 tracking bugs for this issue:

Affects: fedora-all [bug 1690247]

Comment 10 Dhananjay Arunesh 2019-03-19 06:49:17 UTC
Created mingw-libssh2 tracking bugs for this issue:

Affects: epel-7 [bug 1690248]

Comment 11 Andrej Nemec 2019-03-19 12:28:04 UTC
Created libssh2 tracking bugs for this issue:

Affects: fedora-all [bug 1690408]

Comment 14 errata-xmlrpc 2019-07-29 15:13:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1884 https://access.redhat.com/errata/RHSA-2019:1884

Comment 15 Product Security DevOps Team 2019-07-29 19:18:31 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-3862

Comment 16 Doran Moppert 2021-02-02 04:08:30 UTC
Statement:

This flaw was present in libssh2 packages included in Red Hat Virtualization Hypervisor and Management Appliance, however libssh2 in these hosts is never exposed to malicious clients or servers.

libssh2 is no longer included in the virt module since Red Hat Enterprise Linux 8.1.


Note You need to log in before you can comment on or make changes to this bug.